# \<market>

#### Element Description <a href="#uofapi-less-than-market-greater-than-elementdescription" id="uofapi-less-than-market-greater-than-elementdescription"></a>

The \<market> element holds the outcome, specifier, and mapping outcome information.

#### Attributes <a href="#uofapi-less-than-market-greater-than-attributes" id="uofapi-less-than-market-greater-than-attributes"></a>

Lists special attributes that apply to particular markets. See table market description attributes below for descriptions of market attribute names.

| **Attribute**        | **Description**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                   | Market ID as used in messages                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| name                 | Human readable name of the market (translatable). Has some markers that need to be replaced (See section below for more information)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| groups               | Pipe “\|” separated list of groups that this market belongs to. A group is just a name/ string. These groups can be used in a bet\_stop message to stop select markets. Currently only “all” and “player\_props” groups are used.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| market.outcome\_type | <p>Describes the type of outcome – allowed values are:</p><ul><li><strong>competitor:</strong> Competitor type outcomes means that the ids will be competitor ids (and possibly also some fixed outcomes such as "No Winner" etc. that is only using an integer number id and not an URN type id) - the competitors can only be ids of competitors listed to be part of this particular sport-event (otherwise use free text).</li><li><strong>player:</strong> This outcome means that the ids will be players that play for either of the competitors in the specified sport-event. line up (preferred when available) or team-profile endpoints should be available to retrieve available players.</li><li><strong>free\_text:</strong> This outcome means that the ids will be variant ids, and will have to be looked up (the market will have a variant and this variant will list the market text as well as the outcome texts, and the ids in this message will refer to the outcome text).</li></ul> |

**Market attribute 'name' descriptions**

| **Attribute Name** | **Description**                                                                                                                                        |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| is\_flex\_score    | A flex score market. See [Flex Score](/uof/data-and-features/markets-and-outcomes/market-types/flex-score-markets.md) Markets below for a description. |
| deprecated         | This market is no longer in use, but could still be seen for historical events (e.g. in replay or when requesting recovery)                            |

#### **Sub-elements** <a href="#uofapi-less-than-market-greater-than-sub-elements" id="uofapi-less-than-market-greater-than-sub-elements"></a>

**1. Outcomes**

| *id*   | Outcome id as used in odds and settlement messages |
| ------ | -------------------------------------------------- |
| *name* | Human readable name of the outcome (translatable). |

**2. Specifiers**

Lists the additional specifiers that will always be sent for this market

| *id*   | Specifier ID                                                                          |
| ------ | ------------------------------------------------------------------------------------- |
| *name* | The name of the specifier as sent in the messages                                     |
| *type* | What type the values for this specifier will have. (integer, decimal, variable\_text) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/elements/less-than-market-greater-than.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
